
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/mpparse.c   |    4 ++--
 25-akpm/arch/x86_64/kernel/mpparse.c |    4 ++--
 25-akpm/include/asm-i386/mpspec.h    |    1 -
 25-akpm/include/asm-x86_64/mpspec.h  |    1 -
 4 files changed, 4 insertions(+), 6 deletions(-)

diff -puN arch/i386/kernel/mpparse.c~i386-x86_64-mpparsec-make-some-code-static arch/i386/kernel/mpparse.c
--- 25/arch/i386/kernel/mpparse.c~i386-x86_64-mpparsec-make-some-code-static	Fri Feb 11 16:08:41 2005
+++ 25-akpm/arch/i386/kernel/mpparse.c	Fri Feb 11 16:08:41 2005
@@ -49,7 +49,7 @@ int mp_bus_id_to_node [MAX_MP_BUSSES];
 int mp_bus_id_to_local [MAX_MP_BUSSES];
 int quad_local_to_mp_bus_id [NR_CPUS/4][4];
 int mp_bus_id_to_pci_bus [MAX_MP_BUSSES] = { [0 ... MAX_MP_BUSSES-1] = -1 };
-int mp_current_pci_id;
+static int mp_current_pci_id;
 
 /* I/O APIC entries */
 struct mpc_config_ioapic mp_ioapics[MAX_IO_APICS];
@@ -863,7 +863,7 @@ void __init mp_register_lapic (
 #define MP_ISA_BUS		0
 #define MP_MAX_IOAPIC_PIN	127
 
-struct mp_ioapic_routing {
+static struct mp_ioapic_routing {
 	int			apic_id;
 	int			gsi_base;
 	int			gsi_end;
diff -puN arch/x86_64/kernel/mpparse.c~i386-x86_64-mpparsec-make-some-code-static arch/x86_64/kernel/mpparse.c
--- 25/arch/x86_64/kernel/mpparse.c~i386-x86_64-mpparsec-make-some-code-static	Fri Feb 11 16:08:41 2005
+++ 25-akpm/arch/x86_64/kernel/mpparse.c	Fri Feb 11 16:08:41 2005
@@ -46,7 +46,7 @@ unsigned char mp_bus_id_to_type [MAX_MP_
 int mp_bus_id_to_pci_bus [MAX_MP_BUSSES] = { [0 ... MAX_MP_BUSSES-1] = -1 };
 cpumask_t pci_bus_to_cpumask [256] = { [0 ... 255] = CPU_MASK_ALL };
 
-int mp_current_pci_id = 0;
+static int mp_current_pci_id = 0;
 /* I/O APIC entries */
 struct mpc_config_ioapic mp_ioapics[MAX_IO_APICS];
 
@@ -708,7 +708,7 @@ void __init mp_register_lapic (
 #define MP_ISA_BUS		0
 #define MP_MAX_IOAPIC_PIN	127
 
-struct mp_ioapic_routing {
+static struct mp_ioapic_routing {
 	int			apic_id;
 	int			gsi_start;
 	int			gsi_end;
diff -puN include/asm-i386/mpspec.h~i386-x86_64-mpparsec-make-some-code-static include/asm-i386/mpspec.h
--- 25/include/asm-i386/mpspec.h~i386-x86_64-mpparsec-make-some-code-static	Fri Feb 11 16:08:41 2005
+++ 25-akpm/include/asm-i386/mpspec.h	Fri Feb 11 16:08:41 2005
@@ -22,7 +22,6 @@ extern int mp_irq_entries;
 extern struct mpc_config_intsrc mp_irqs [MAX_IRQ_SOURCES];
 extern int mpc_default_type;
 extern int mp_bus_id_to_pci_bus [MAX_MP_BUSSES];
-extern int mp_current_pci_id;
 extern unsigned long mp_lapic_addr;
 extern int pic_mode;
 extern int using_apic_timer;
diff -puN include/asm-x86_64/mpspec.h~i386-x86_64-mpparsec-make-some-code-static include/asm-x86_64/mpspec.h
--- 25/include/asm-x86_64/mpspec.h~i386-x86_64-mpparsec-make-some-code-static	Fri Feb 11 16:08:41 2005
+++ 25-akpm/include/asm-x86_64/mpspec.h	Fri Feb 11 16:08:41 2005
@@ -176,7 +176,6 @@ extern int apic_version [MAX_APICS];
 extern int mp_irq_entries;
 extern struct mpc_config_intsrc mp_irqs [MAX_IRQ_SOURCES];
 extern int mpc_default_type;
-extern int mp_current_pci_id;
 extern unsigned long mp_lapic_addr;
 extern int pic_mode;
 
_
